Boost.Locale: boost::locale::generic_codecvt< CharType, CodecvtImpl, 2 > Class Template Reference

| Boost.Locale

Public Types | Public Member Functions | Protected Member Functions | List of all members
boost::locale::generic_codecvt< CharType, CodecvtImpl, 2 > Class Template Reference

UTF-16 to/from narrow char codecvt facet to use with char16_t or wchar_t on Windows. More...

`#include <boost/locale/generic_codecvt.hpp>`

Inheritance diagram for boost::locale::generic_codecvt< CharType, CodecvtImpl, 2 >:

## Public Types
typedef CharType | uchar
Public Types inherited from boost::locale::generic_codecvt_base
enum | initial_convertion_state { to_unicode_state , from_unicode_state }
| Initial state for converting to or from Unicode code points, used by initial_state in derived classes. More...

## Public Member Functions
| generic_codecvt (size_t refs=0)
const CodecvtImpl & | implementation () const

## Protected Member Functions
std::codecvt_base::result | do_unshift (std::mbstate_t &s, char *from, char *, char *&next) const override
int | do_encoding () const noexcept override
int | do_max_length () const noexcept override
bool | do_always_noconv () const noexcept override
int | do_length (std::mbstate_t &std_state, const char *from, const char *from_end, size_t max) const override
std::codecvt_base::result | do_in (std::mbstate_t &std_state, const char *from, const char *from_end, const char *&from_next, uchar *to, uchar *to_end, uchar *&to_next) const override
std::codecvt_base::result | do_out (std::mbstate_t &std_state, const uchar *from, const uchar *from_end, const uchar *&from_next, char *to, char *to_end, char *&to_next) const override

## Detailed Description

template<typename CharType, typename CodecvtImpl>
class boost::locale::generic_codecvt< CharType, CodecvtImpl, 2 >

UTF-16 to/from narrow char codecvt facet to use with char16_t or wchar_t on Windows.

Note in order to fit the requirements of usability by std::wfstream it uses mbstate_t to handle intermediate states in handling of variable length UTF-16 sequences

Its member functions implement standard virtual functions of basic codecvt

The documentation for this class was generated from the following file:

- boost/locale/generic_codecvt.hpp

- © Copyright 2009-2012 Artyom Beilis, Distributed under the Boost Software License, Version 1.0.